summaryrefslogtreecommitdiff
path: root/recipes-core/base-files/base-files/wayland-env.sh
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-core/base-files/base-files/wayland-env.sh')
-rw-r--r--recipes-core/base-files/base-files/wayland-env.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/recipes-core/base-files/base-files/wayland-env.sh b/recipes-core/base-files/base-files/wayland-env.sh
new file mode 100644
index 0000000..e351296
--- /dev/null
+++ b/recipes-core/base-files/base-files/wayland-env.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+if test -z "$XDG_RUNTIME_DIR"; then
+ export XDG_RUNTIME_DIR=/run/user/`id -u`
+ if ! test -d "$XDG_RUNTIME_DIR"; then
+ mkdir --parents $XDG_RUNTIME_DIR
+ chmod 0700 $XDG_RUNTIME_DIR
+ fi
+
+ export XDG_SESSION_TYPE=unspecified
+ export XDG_SESSION_CLASS=background
+fi
+